Subject: Re: 3.10.0-rc2 mlx4 not receiving packets for some multicast groups

From: Shawn Bohrer <[email-masked]>
Date: Sat, 25 May 2013 16:37:14 -0500

On Sat, May 25, 2013 at 10:41:39PM +0300, Or Gerlitz wrote:
> On Sat, May 25, 2013 at 6:13 PM, Shawn Bohrer <[email-masked]> wrote:
> [...]
> > 5. Debugging I noticed that tcpdump on machine #1 or #2 caused them to
> > suddenly receive data, and simply putting the interface in promiscuous
> > mode had the same result.  I rebooted both machine #1 and #2 several
> > times and each time they had the same issue.  I then rebooted them
> > back into 3.4 and they both functioned as expected and received data
> > on all 350 groups.  Rebooted them both back into 3.10 and they were
> > both still broken.  This is when I sent my initial email to netdev.
> [..]
> 
> Shawn, thanks for all the details, just one small confirmation, when
> you moved from 3.4 to 3.10 have you done ANY change to your app? e.g
> do you still use the same QP type (UD) or moved to RAW PACKET?

No modifications have been made to the application.  In this case I'm
using plain old UDP multicast sockets over 10g Ethernet.

--
Shawn